<h1><?= $this->title; ?></h1>
<?php
if (!empty($this->groups)) {
    include_once 'i_search.phtml';  
}
if ($this->notice) {
    include 'i_notice.phtml';
}
include 'i_page.phtml';
if (!empty($this->products)) {    
    $cart = new Zend_Session_Namespace('Cart');
    $client = new Zend_Http_Client(); 
    $index = $this->page - 1;
    $i = 1;
    $j = 1;
    $line = 0;
    foreach ($this->products[$index] as $value) {
        if ($value['status'] == 'neaktivni') {
            //nezobrazit neaktivni
        } else {
            if ($j == 3) {
                $last = 'last';
                $j = 1;
            } else {
                $last = '';
                $j++;
            }
            ?>
            <div class="product-var1 <?= $last ?>">
                <a name="<?= $line ?>"></a>
                <a href='/eshop/product/?product_id=<?= $value['product_id'] ?>' class="product-title">
                <?= $value['title'] ?><br/>
                </a>
                <div class="product-imageholder border-style">
                    <?= (isset($cart->$value['product_id'])) ? "<img src='/graphics/kosik.png' class='cart-image' />" : "" ?>
                    <?= (isset($cart->$value['product_id'])) ? "<div class='cart-number glow'>".$cart->$value['product_id']->quantity."</div>" : "" ?>
                    <?php 
                    $client->setUri(IMG_URL . 'images/eshop_products/m/' . $value['product_id'] . '.jpg');
                    $response = $client->request(); 
                    $headers = $response->getHeaders(); 
                    if (isset($headers['Content-type']) && stristr($headers['Content-type'], 'image')) { ?>
                    <a href='/eshop/product/?product_id=<?= $value['product_id'] ?>'>
                        <img src="<?= IMG_URL ?>images/eshop_products/m/<?= $value['product_id'] ?>.jpg" class="product-image" alt='<?= $value['title'] ?>' />
                    </a>
                    <?php } else { ?>
                    <a href='/eshop/product/?product_id=<?= $value['product_id'] ?>'>
                        <img src="<?= IMG_URL ?>images/eshop_products/m/default-1.jpg" class="product-image">
                    </a>
                    <?php } ?>                    
                </div>
                <div class='product-info-holder'>
                    ID: <?= $value['product_id'] ?><br/>
                    <?php 
                    if (!empty($value['producer'])) {
                        echo "Výrobce:<br/> " . $value['producer'] . "<br/>";
                    }
                    if (($this->size == 'velikost') && !empty($value['size'])) {
                        echo (!empty($value['size'])) ? "velikost: ".$value['size']."<br/>" : "";
                    } else if (!empty($value['size'])) {
                        echo "Objem: ". $value['size'] . " l<br/>";
                    }?> 
                    Cena: <?= $value['price'] ?>,- kč<br/>
                    <div class='product-text-holder' style='font-size: <?php if (strlen($value['text']) > 100) { echo '9px'; } else if (strlen($value['text']) > 70) { echo '10px'; } else if (strlen($value['text']) > 40) { echo '12px'; } else { echo '13px'; } ?>'>
                        <?= $value['text'] ?><br/>
                    </div>
                </div>
                <?php if ($value['status'] == '1') { ?>             
                <form method='post' action='/eshop/cart/add/'>
                    <input type='hidden' name='product_id' value='<?= $value['product_id'] ?>'/>
                    <input type='hidden' name='redirect' value='<?= $_SERVER['REQUEST_URI'] ?>'/>                
                    <input type='hidden' name='line' value='<?= $line-1 ?>'/>
                    <input type='hidden' name="x" id="x" type="hidden" value="" />
                    <input type='hidden' name="y" id="y" type="hidden" value="" />
                    <input type='text' name='quantity' value='1' style='width: 20px'/>
                    <input class='bg-green border-style shadowout-lite active' style='width: 160px' type='submit' value='Přidat' <?php /* onclick='var scroll = get_scroll(); alert(scroll.x + "x and " + scroll.y + "y")' */?> />
                </form>
                <?php } else { ?>
                <div class='bg-red border-style shadowout-lite center' style='width: 170px; font-weight: bold'>není na skladě</div>
                <?php } ?>
            </div>
            <?php
            if ($i == 3) {
                echo "<div class='clear'></div>";
                $i = 1;
                $line++;
            } else {
                $i++;
            }  
        } 
    }
    include 'i_page.phtml';
}
